## org.apache.xpath.objects
Class XMLStringFactoryImpl

    java.lang.Object
      org.apache.xml.utils.XMLStringFactory
          org.apache.xpath.objects.XMLStringFactoryImpl

    public class XMLStringFactoryImpl

extends XMLStringFactory

Class XMLStringFactoryImpl creates XString versions of XMLStrings.

Usage:
  **For internal use only**

Constructor Summary
`XMLStringFactoryImpl()`

Method Summary
`XMLString` `emptystr()` Get a cheap representation of an empty string.
`static XMLStringFactory` `getFactory()` Get the XMLStringFactory to pass to DTM construction.
`XMLString` `newstr(char[] string, int start, int length)` Create a XMLString from a FastStringBuffer.
`XMLString` `newstr(FastStringBuffer fsb, int start, int length)` Create a XMLString from a FastStringBuffer.
`XMLString` `newstr(java.lang.String string)` Create a new XMLString from a Java string.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLStringFactoryImpl

    public XMLStringFactoryImpl()

Method Detail

### getFactory

    public static XMLStringFactory getFactory()

  Get the XMLStringFactory to pass to DTM construction.

  Returns:
    A never-null static reference to a String factory.

### newstr

    public XMLString newstr(java.lang.String string)

  Create a new XMLString from a Java string.

  Specified by:
    `newstr` in class `XMLStringFactory`
  Parameters:
    `string` - Java String reference, which must be non-null.
  Returns:
    An XMLString object that wraps the String reference.

### newstr

    public XMLString newstr(FastStringBuffer fsb,
                            int start,
                            int length)

  Create a XMLString from a FastStringBuffer.

  Specified by:
    `newstr` in class `XMLStringFactory`
  Parameters:
    `fsb` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.

### newstr

    public XMLString newstr(char[] string,
                            int start,
                            int length)

  Create a XMLString from a FastStringBuffer.

  Specified by:
    `newstr` in class `XMLStringFactory`
  Parameters:
    `string` - FastStringBuffer reference, which must be non-null.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Returns:
    An XMLString object that wraps the FastStringBuffer reference.

### emptystr

    public XMLString emptystr()

  Get a cheap representation of an empty string.

  Specified by:
    `emptystr` in class `XMLStringFactory`
  Returns:
    An non-null reference to an XMLString that represents "".

Copyright © 2005 Apache XML Project. All Rights Reserved.